service: serverless-spam-slayer
frameworkVersion: '3'
provider:
  name: aws
  region: us-east-2
  runtime: nodejs14.x
  environment:
    SLACK_SIGNING_SECRET: ${env:SLACK_SIGNING_SECRET}
    SLACK_BOT_TOKEN: ${env:SLACK_BOT_TOKEN}
    ALLOWED_SLACK_CHANNELS: ${env:ALLOWED_SLACK_CHANNELS}
    CLICKS_MONITORING: ${env:CLICKS_MONITORING}
    HACKATHON_CHANNEL: ${env:HACKATHON_CHANNEL}
    TRACTION_DOMAIN: ${env:TRACTION_DOMAIN}
    TRACTION_API_KEY: ${env:TRACTION_API_KEY}
functions:
  slack:
    handler: src/app.handler
    events:
      - http:
          path: slack/events
          method: post
plugins:
  - serverless-offline